### Constructor

# Camel StoreSearch new

since: 3.58

#### Declaration [src]

    CamelStoreSearch*
    camel_store_search_new (
      CamelStore* store
    )

#### Description [src]

Creates a new `CamelStoreSearch`, which will operate on folders from the `store`.

Available since: 3.58

#### Parameters

`store`

  Type: `CamelStore`

  A `CamelStore`.

  The data is owned by the caller of the function.

#### Return value

Type: `CamelStoreSearch`

A new `CamelStoreSearch`.

The caller of the function takes ownership of the data, and is responsible for freeing it.